import { Component } from '@angular/core';
import { RouterModule } from '@angular/router';
import { css } from 'styled-system/css';
import {UiAlfaModule} from "ui-alfa";

@Component({
	standalone: true,
	imports: [RouterModule, UiAlfaModule],
	selector: 'app-root',
	templateUrl: './app.component.html',
})
export class AppComponent {
	title = 'showcase';
	nav = css({
		display: 'flex',
		flexWrap: 'wrap',
		marginBottom: '0.5rem',
	});
	a = css({
		textDecoration: 'underline',
		marginRight: '.8em',
	});
	demo = css({
		display: 'block',
	});
	toggle = css({
		textDecoration: 'underline',
		marginLeft: 'auto',
	});
	
	
	public toggleDarkLight() {
		const root = document.querySelector("html");
		if (!root) return;
		
		const currentTheme = root.getAttribute("data-mode-color");
		root.setAttribute("data-mode-color", currentTheme === "light" ? 'dark': 'light');
	}
}
