import {ChangeDetectionStrategy, Component} from '@angular/core';
import {Observable} from 'rxjs';

import {DemoService} from "./demo.service";
import {DemoUiComponent} from "./demo-ui.component";
import {AsyncPipe} from "@angular/common";

@Component({
	selector: 'app-demo-container',
	changeDetection: ChangeDetectionStrategy.OnPush,
	standalone: true,
	imports: [DemoUiComponent, AsyncPipe],
	templateUrl: './demo-container.component.html',
	providers: [DemoService]
})
export class DemoContainerComponent {
	data: Observable<number[]> = this.demoService.getData();

	constructor(private demoService: DemoService) {}

	update($event: {index: number, value: number}) {
		this.data = this.demoService.update($event);
	}
}