import {Component, EventEmitter, Input, Output} from '@angular/core';
import {CommonModule} from '@angular/common';
import {DemoPresenter} from "./demo-presenter.service";

@Component({
	selector: 'app-demo-ui',
	standalone: true,
	imports: [CommonModule],
	templateUrl: './demo-ui.component.html',
	providers: [DemoPresenter]
})
export class DemoUiComponent {
	@Input() data: any[] | null = null;
	@Output() update = new EventEmitter<{index: number, value: number}>
	
	constructor(private presenter: DemoPresenter) {
		presenter.update.subscribe((event) => this.update.emit(event));
	}

	click(i: number, value: number) {
		this.presenter.handleClick(i, value);
	}
}
