import {Component, EventEmitter, Input, Output} from '@angular/core';
import {CommonModule} from '@angular/common';
import {dotRecipe, UiAlfaModule} from "ui-alfa";
import { menu } from './menu';
import {SidebarPresenter} from "./sidebar-presenter.service";

@Component({
	selector: 'app-sidebar-ui',
	standalone: true,
	imports: [CommonModule, UiAlfaModule],
	templateUrl: './sidebar-ui.component.html',
})
export class SidebarUiComponent {
	@Input() selected = menu.neu;
	@Input() count = 0;
	@Output() updateSelected = new EventEmitter<menu>();

	constructor(private presenter: SidebarPresenter) {
		// bind to events from presenter
		this.presenter.updateSelected.subscribe(v => this.updateSelected.emit(v));
	}
	
	public click(item: menu) {
		this.presenter.handleClick(item);
	}
	
	readonly dotRecipe = dotRecipe;
	readonly menu = menu;
}
