import {Component} from '@angular/core';
import {CommonModule} from '@angular/common';
import {dotRecipe, UiAlfaModule} from "ui-alfa";

export enum menu {
	neu,
	angenommen,
	in_bearbeitung,
	beschieden,
	abgeschlossen,
	verworfen,
	zu_loeschen,
}

@Component({
	selector: 'app-sidebar',
	standalone: true,
	imports: [CommonModule, UiAlfaModule],
	templateUrl: './sidebar.component.html',
})
export class SidebarComponent {
	readonly menu = menu;
	readonly dotRecipe = dotRecipe;
	
	public selected = menu.neu;
	public count = 0;

	public click(selected: menu) {
		this.count++;
		this.selected = selected;
	}
}
