import { HttpErrorResponse } from '@angular/common/http';
import { ApiErrorAction, TypedActionCreator, TypedActionCreatorWithProps } from '@alfa-client/tech-shared';
import { VorgangWithEingangAction } from '@alfa-client/vorgang-shared';
import { createAction, props } from '@ngrx/store';
import { LoeschAnforderungResource } from '../loesch-anforderung.model';

export interface LoeschAnforderungProps {
	loeschAnforderung: LoeschAnforderungResource
}

export const loadLoeschAnforderung: TypedActionCreatorWithProps<VorgangWithEingangAction> = createAction('[LoeschAnforderung] Load LoeschAnforderung', props<VorgangWithEingangAction>());
export const loadLoeschAnforderungSuccess: TypedActionCreatorWithProps<LoeschAnforderungProps> = createAction('[LoeschAnforderung] Load LoeschAnforderung Success', props<LoeschAnforderungProps>());
export const loadLoeschAnforderungFailure: TypedActionCreatorWithProps<ApiErrorAction> = createAction('[LoeschAnforderung] Load LoeschAnforderung Failure', props<ApiErrorAction>());

export interface LoeschAnforderungZuruecknehmenFailedAndReloadVorgangFailureProps {
	error: HttpErrorResponse,
	overviewUrl: string
}

export const loeschAnforderungZuruecknehmenFailedAndReloadVorgangSuccess: TypedActionCreator = createAction('[LoeschAnforderung] LoeschAnforderung zurücknehmen reload vorgang success');
export const loeschAnforderungZuruecknehmenFailedAndReloadVorgangFailure: TypedActionCreatorWithProps<LoeschAnforderungZuruecknehmenFailedAndReloadVorgangFailureProps> = createAction('[LoeschAnforderung] LoeschAnforderung zurücknehmen reload vorgang failure', props<LoeschAnforderungZuruecknehmenFailedAndReloadVorgangFailureProps>());