import {cva} from "styled-system/css";

export const dotRecipe = cva({
    base: {
        display: 'inline-block',
        borderRadius: '50%',
        border: '1px solid',
        margin: '5px',
        marginRight: '11px',
        height: '0.875rem',
        width: '0.875rem',
    },
    variants: {
        color: {
            default: {
                backgroundColor: '#E4E4E4',
                borderColor: '#989898',
            },
            neu: {
                backgroundColor: '#c0d1e8',
                borderColor: '#155ab4',
            },
            neuAktiv: {
                backgroundColor: '#155ab4',
                borderColor: '#155ab4',
            },
            angenommen: {
                backgroundColor: '#f6ebce',
                borderColor: '#f1c14e',
            },
            angenommenAktiv: {
                backgroundColor: '#f1c14e',
                borderColor: '#f1c14e',
            },
            in_bearbeitung: {
                backgroundColor: '#f6ebce',
                borderColor: '#f1c14e',
            },
            in_bearbeitungAktiv: {
                backgroundColor: '#f1c14e',
                borderColor: '#f1c14e',
            },
            beschieden: {
                backgroundColor: '#d9eec5',
                borderColor: '#7ccb2b',
            },
            beschiedenAktiv: {
                backgroundColor: '#7ccb2b',
                borderColor: '#7ccb2b',
            },
            abgeschlossen: {
                backgroundColor: '#d9eec5',
                borderColor: '#7ccb2b',
            },
            abgeschlossenAktiv: {
                backgroundColor: '#7ccb2b',
                borderColor: '#7ccb2b',
            },
            verworfen: {
                backgroundColor: '#dedede',
                borderColor: '#8e8e8f',
            },
            verworfenAktiv: {
                backgroundColor: '#8e8e8f',
                borderColor: '#8e8e8f',
            },
            zu_loeschen: {
                backgroundColor: '#fff',
                borderColor: '#bbb',
            },
            zu_loeschenAktiv: {
                backgroundColor: '#bbb',
                borderColor: '#bbb',
            },
        },
    },
    defaultVariants: {
        color: 'default',
    },
});
