/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { EnumToLabelPipe } from '@alfa-client/tech-shared';
import { VorgangResource, VorgangStatusLabel } from '@alfa-client/vorgang-shared';
import { getDataTestIdOf } from 'libs/tech-shared/test/data-test';
import { createVorgangResource } from 'libs/vorgang-shared/test/vorgang';
import { VorgangStatusTextComponent } from './vorgang-status-text.component';

describe('VorgangStatusTextComponent', () => {
	let component: VorgangStatusTextComponent;
	let fixture: ComponentFixture<VorgangStatusTextComponent>;

	const vorgang: VorgangResource = createVorgangResource();
	const statusTextTestId: string = getDataTestIdOf('vorgang-status-text');

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				EnumToLabelPipe,
				VorgangStatusTextComponent
			],
		}).compileComponents();
	});

	beforeEach(() => {
		fixture = TestBed.createComponent(VorgangStatusTextComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});

	it('should show status dot', () => {
		component.status = vorgang.status;
		const statusText: string = VorgangStatusLabel[vorgang.status];

		fixture.detectChanges();
		const statusTextElement: HTMLElement = fixture.nativeElement.querySelector(statusTextTestId);

		expect(statusTextElement.innerHTML).toContain(statusText);
	});
});
