/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { Component, Input } from '@angular/core';
import { ApiRootLinkRel, ApiRootResource } from '@alfa-client/api-root-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { hasLink } from '@ngxp/rest';
import { VorgangFilterFormService } from './vorgang-filter-menu.formservice';

@Component({
	selector: 'alfa-vorgang-filter-menu',
	templateUrl: './vorgang-filter-menu.component.html',
	styleUrls: ['./vorgang-filter-menu.component.scss'],
})
export class VorgangFilterMenuComponent {

	@Input() public set apiRootStateResource(value: StateResource<ApiRootResource>) {
		this._apiRootStateResource = value;
		this.multipleFilterAvailable = this.areMultipleFilterAvailable();
	}
	private _apiRootStateResource: StateResource<ApiRootResource>;
	public get apiRootStateResource(): StateResource<ApiRootResource> {
		return this._apiRootStateResource;
	}

	multipleFilterAvailable: boolean;

	readonly apiRootLinkRel = ApiRootLinkRel;

	filterName: string = VorgangFilterFormService.FILTER;

	constructor(public formService: VorgangFilterFormService) {}

	areMultipleFilterAvailable(): boolean {
		return hasLink(this.apiRootStateResource.resource, ApiRootLinkRel.ALLE_VORGAENGE) && hasLink(this.apiRootStateResource.resource, ApiRootLinkRel.MEINE_VORGAENGE);
	}
}
