import { ComponentFixture, TestBed } from '@angular/core/testing';
import { Mock, mock } from '@alfa-client/test-utils';
import { VorgangListService, VorgangView } from '@alfa-client/vorgang-shared';
import { MockComponent } from 'ng-mocks';
import { VorgangViewItemContainerComponent } from './vorgang-view-item-container.component';
import { VorgangViewItemComponent } from './vorgang-view-item/vorgang-view-item.component';

describe('VorgangViewItemContainerComponent', () => {
	let component: VorgangViewItemContainerComponent;
	let fixture: ComponentFixture<VorgangViewItemContainerComponent>;

	const label: string = 'TestLabel';
	const view: VorgangView = VorgangView.NEU;
	const count: number = 1;

	const vorgangListService: Mock<VorgangListService> = mock(VorgangListService);

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				VorgangViewItemContainerComponent,
				MockComponent(VorgangViewItemComponent)
			],
			providers:[
				{
					provide: VorgangListService,
					useValue: vorgangListService
				}
			]
		}).compileComponents();

		fixture = TestBed.createComponent(VorgangViewItemContainerComponent);
		component = fixture.componentInstance;
		component.label = label;
		component.view = view;
		component.count = count;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});

	describe('ngOnInit', () => {

		it('should call service to check if view is selected', () => {
			component.ngOnInit();

			expect(vorgangListService.isVorgangViewSelected).toHaveBeenCalledWith(view);
		})

		it('should call service to get view route path', () => {
			component.ngOnInit();

			expect(vorgangListService.getVorgangViewRoutePath).toHaveBeenCalledWith(view);
		})
	})
});
