/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ApiRootService } from '@alfa-client/api-root-shared';
import { Mock, mock } from '@alfa-client/test-utils';
import { MockComponent } from 'ng-mocks';
import { VorgangListSearchContainerComponent } from './vorgang-list-search-container.component';
import { VorgangListSearchComponent } from './vorgang-list-search/vorgang-list-search.component';

describe('VorgangListSearchContainerComponent', () => {
	let component: VorgangListSearchContainerComponent;
	let fixture: ComponentFixture<VorgangListSearchContainerComponent>;

	const apiRootService: Mock<ApiRootService> = mock(ApiRootService);

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				VorgangListSearchContainerComponent,
				MockComponent(VorgangListSearchComponent)
			],
			providers:[
				{
					provide: ApiRootService,
					useValue: apiRootService
				}
			]
		}).compileComponents();

		fixture = TestBed.createComponent(VorgangListSearchContainerComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});

	describe('ngOnInit', () => {

		it('should get apiRootResource', () => {
			component.ngOnInit();

			expect(apiRootService.getApiRoot).toHaveBeenCalled();
		})
	})
});
