/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ToEmbeddedResourcesPipe } from '@alfa-client/tech-shared';
import { mock } from '@alfa-client/test-utils';
import { WiedervorlageService } from '@alfa-client/wiedervorlage-shared';
import { MockComponent } from 'ng-mocks';
import { of } from 'rxjs';
import { WiedervorlageAttachmentListContainerComponent } from './wiedervorlage-attachment-list-container.component';
import { VerticalBinaryFileListComponent } from '@alfa-client/binary-file';

describe('WiedervorlageAttachmentListContainerComponent', () => {
	let component: WiedervorlageAttachmentListContainerComponent;
	let fixture: ComponentFixture<WiedervorlageAttachmentListContainerComponent>;

	const wiedervorlageService = { ...mock(WiedervorlageService), getAttachmentList: () => of(null) };

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				WiedervorlageAttachmentListContainerComponent,
				ToEmbeddedResourcesPipe,
				MockComponent(VerticalBinaryFileListComponent)
			],
			providers: [
				{
					provide: WiedervorlageService,
					useValue: wiedervorlageService
				}
			]
		})
	})

	beforeEach(() => {
		fixture = TestBed.createComponent(WiedervorlageAttachmentListContainerComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});
});
