package de.ozgcloud.alfa.statistic;

import java.util.Map;
import java.util.stream.Collectors;

import org.mapstruct.CollectionMappingStrategy;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.NullValueCheckStrategy;
import org.mapstruct.ReportingPolicy;

import de.ozgcloud.vorgang.statistic.GrpcByStatusResult;
import de.ozgcloud.vorgang.statistic.GrpcPathCountResult;
import de.ozgcloud.vorgang.statistic.GrpcVorgangCountResponse;
import de.ozgcloud.vorgang.statistic.GrpcVorgangStatisticResult;

@Mapper(unmappedTargetPolicy = ReportingPolicy.WARN,
		collectionMappingStrategy = CollectionMappingStrategy.ADDER_PREFERRED,
		nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS)
interface StatisticMapper {

	@Mapping(target = "stringValue", source = "resultStringValue")
	@Mapping(target = "boolValue", source = "resultBoolValue")
	@Mapping(target = "intValue", source = "resultIntValue")
	StatisticResult toResult(GrpcVorgangStatisticResult grpcVorgangStatisticResult);

	// TODO sebo: der Code muss später gelöscht werden
	@Mapping(target = "pathCountResult", expression = "java(toMap(response))")
	CountVorgangResponse fromCountVorgangResponse(GrpcVorgangCountResponse response);

	ByStatus fromByStatus(GrpcByStatusResult byStatus);

	default Map<String, Integer> toMap(GrpcVorgangCountResponse response) {
		return response.getPathCountResultList().stream()
				.collect(Collectors.toMap(GrpcPathCountResult::getName, pathCountResult -> Integer.valueOf(pathCountResult.getValue())));
	}
	// END: code löschen
}