/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.common.file;

import static org.mockito.Mockito.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;

import de.ozgcloud.alfa.vorgang.EingangTestFactory;

class OzgFileServiceTest {

	@InjectMocks
	private OzgFileService service;
	@Mock
	private OzgFileRemoteService remoteService;

	@Nested
	class TestGetAttachmentsByEingang {

		@Test
		void shouldCallRemoteService() {
			service.getAttachmentsByEingang(EingangTestFactory.ID);

			verify(remoteService).getAttachmentsByEingang(EingangTestFactory.ID);
		}
	}

	@Nested
	class TestGetRepresentationsByEingang {

		@Test
		void shouldCallRemoteService() {
			service.getRepresentationsByEingang(EingangTestFactory.ID);

			verify(remoteService).getRepresentationsByEingang(EingangTestFactory.ID);
		}
	}
}