package de.ozgcloud.alfa.export;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import de.ozgcloud.alfa.common.file.OzgFile;
import de.ozgcloud.alfa.vorgang.VorgangWithEingang;
import de.xoev.xdomea.PrimaerdokumentType;

@Component
class PrimaerdokumentTypeCreator {

	@Autowired
	private ExportFilenameGenerator exportFilenameGenerator;

	public PrimaerdokumentType create(VorgangWithEingang vorgang, OzgFile ozgFile) {
		var primaerdokument = new PrimaerdokumentType();
		primaerdokument.setDateiname(exportFilenameGenerator.generateExportFilename(ozgFile));
		primaerdokument.setDateinameOriginal(ozgFile.getName());
		primaerdokument.setErsteller(vorgang.getEingang().getHeader().getFormEngineName());
		return primaerdokument;
	}
}
